unit tb_lclconsts_alllcl_de;

{
  File: tb_lclconsts_alllcl_de.pas
  CreateDate: 12.07.2024
  ModifyDate: 12.07.2024
  Version: 1.0.0.0
  Author: Thomas Bulla

  See the file COPYING.TXT, included in this distribution,
  for details about the copyright.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
}

{
  Austausch der englischen Dialog- Texte durch deutsche Texte.
  Die weitergabe von "lclstrconsts.de.po" ist damit nicht mehr nötig,
  da sich die Texte im der Binärdatei befinden.
  Zum Anwenden die Datei in das Projekt mit aufnehmen.
  Am einfachsten geht es wie folgt:
  Lazarus-Ide:
    Öffnen->Datei "tb_lclstsconsts_btntxt_de.pas" auswählen.
    Menue->Projekt->Datei im Editor ins Projekt aufnehmen.

  Wichtig! Die Datei muss in "*.lpr" Datei in der uses Klausel
  aufgeführt sein. Danach erfolgt die Initialisierung automatisch.

  Es werden alle LCL Texte ausgetauscht, auch Meldungen.
}


{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils;

implementation

uses
  Translations;

const
  lclsts_btntxt_de: String  =

procedure LclStrDeInit;
var
  po: TPOFile;
begin
  try
    po:= TPOFile.Create;
    po.ReadPOText(lclsts_btntxt_de);
    TranslateUnitResourceStrings('LCLStrConsts', po)
  finally
    FreeAndNil(po);
  end;
end;

initialization
  LclStrDeInit;

end.

