unit tb_lclconsts_btntxt_de;

{
  File: tb_lclconsts_btntxt_de.pas
  CreateDate: 12.07.2024
  ModifyDate: 12.07.2024
  Version: 1.0.0.0
  Author: Thomas Bulla

  See the file COPYING.TXT, included in this distribution,
  for details about the copyright.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
}

{
  Austausch der englischen Dialog- Texte durch deutsche Texte.
  Die weitergabe von "lclstrconsts.de.po" ist damit nicht mehr nötig,
  da sich die Texte im der Binärdatei befinden.
  Zum Anwenden die Datei in das Projekt mit aufnehmen.
  Am einfachsten geht es wie folgt:
  Lazarus-Ide:
    Öffnen->Datei "tb_lclstsconsts_btntxt_de.pas" auswählen.
    Menue->Projekt->Datei im Editor ins Projekt aufnehmen.

  Wichtig! Die Datei muss in "*.lpr" Datei in der uses Klausel
  aufgeführt sein. Danach erfolgt die Initialisierung automatisch.

  Mit der BtnTxt Version werden folgende Button Texte ausgetauscht.

  "Cancel"       ->      "Abbrechen"
  "&Close"       ->      "&Schließen"
  "&Help"        ->      "&Hilfe"
  "&Ignore"      ->      "&Übergehen"
  "&No"          ->      "&Nein"
  "No to all"    ->      "Immer Nein"
  "&OK"          ->      "&Ok"
  "&Open"        ->      "Öffnen"
  "&Retry"       ->      "&Wiederholen"
  "&Save"        ->      "&Speichern"
  "&Unlock"      ->      "Freigeben"
  "&Yes"         ->      "&Ja"
  "Yes to &All"  ->      "&Alles bestätigen"
  "&All"         ->      "&Alle"
  "Abort"        ->      "&Abbruch"
}


{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils;

implementation

uses
  Translations;

const
  lclsts_btntxt_de: String  =
    #$6D#$73#$67#$69#$64#$20#$22#$22#$0A#$6D#$73#$67#$73#$74#$72+
    #$20#$22#$22#$0A#$22#$43#$6F#$6E#$74#$65#$6E#$74#$2D#$54#$79+
    #$70#$65#$3A#$20#$74#$65#$78#$74#$2F#$70#$6C#$61#$69#$6E#$3B+
    #$20#$63#$68#$61#$72#$73#$65#$74#$3D#$75#$74#$66#$2D#$38#$5C+
    #$6E#$22#$0A#$22#$43#$6F#$6E#$74#$65#$6E#$74#$2D#$54#$72#$61+
    #$6E#$73#$66#$65#$72#$2D#$45#$6E#$63#$6F#$64#$69#$6E#$67#$3A+
    #$20#$38#$62#$69#$74#$5C#$6E#$22#$0A#$22#$50#$72#$6F#$6A#$65+
    #$63#$74#$2D#$49#$64#$2D#$56#$65#$72#$73#$69#$6F#$6E#$3A#$20+
    #$5C#$6E#$22#$0A#$22#$50#$4F#$54#$2D#$43#$72#$65#$61#$74#$69+
    #$6F#$6E#$2D#$44#$61#$74#$65#$3A#$20#$5C#$6E#$22#$0A#$22#$50+
    #$4F#$2D#$52#$65#$76#$69#$73#$69#$6F#$6E#$2D#$44#$61#$74#$65+
    #$3A#$20#$32#$30#$32#$34#$2D#$30#$37#$2D#$31#$32#$20#$30#$39+
    #$3A#$33#$30#$2B#$30#$32#$30#$30#$5C#$6E#$22#$0A#$22#$4C#$61+
    #$73#$74#$2D#$54#$72#$61#$6E#$73#$6C#$61#$74#$6F#$72#$3A#$20+
    #$46#$70#$54#$75#$78#$65#$20#$3C#$6E#$6F#$40#$6E#$6F#$3E#$5C+
    #$6E#$22#$0A#$22#$4C#$61#$6E#$67#$75#$61#$67#$65#$2D#$54#$65+
    #$61#$6D#$3A#$20#$44#$65#$75#$74#$73#$63#$68#$20#$3C#$6E#$6F+
    #$40#$6E#$6F#$3E#$5C#$6E#$22#$0A#$22#$4D#$49#$4D#$45#$2D#$56+
    #$65#$72#$73#$69#$6F#$6E#$3A#$20#$31#$2E#$30#$5C#$6E#$22#$0A+
    #$22#$58#$2D#$50#$6F#$65#$64#$69#$74#$2D#$53#$6F#$75#$72#$63+
    #$65#$43#$68#$61#$72#$73#$65#$74#$3A#$20#$75#$74#$66#$2D#$38+
    #$5C#$6E#$22#$0A#$22#$4C#$61#$6E#$67#$75#$61#$67#$65#$3A#$20+
    #$64#$65#$5F#$44#$45#$5C#$6E#$22#$0A#$22#$58#$2D#$47#$65#$6E+
    #$65#$72#$61#$74#$6F#$72#$3A#$20#$4E#$6F#$5C#$6E#$22#$0A#$22+
    #$54#$79#$70#$65#$3A#$20#$42#$74#$6E#$54#$65#$78#$74#$20#$50+
    #$4F#$20#$44#$61#$74#$65#$69#$5C#$6E#$22#$0A#$0A#$23#$3A#$20+
    #$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73+
    #$6D#$62#$63#$61#$6E#$63#$65#$6C#$0A#$6D#$73#$67#$63#$74#$78+
    #$74#$20#$22#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73+
    #$2E#$72#$73#$6D#$62#$63#$61#$6E#$63#$65#$6C#$22#$0A#$6D#$73+
    #$67#$69#$64#$20#$22#$43#$61#$6E#$63#$65#$6C#$22#$0A#$6D#$73+
    #$67#$73#$74#$72#$20#$22#$41#$62#$62#$72#$65#$63#$68#$65#$6E+
    #$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E+
    #$73#$74#$73#$2E#$72#$73#$6D#$62#$63#$6C#$6F#$73#$65#$0A#$6D+
    #$73#$67#$69#$64#$20#$22#$26#$43#$6C#$6F#$73#$65#$22#$0A#$6D+
    #$73#$67#$73#$74#$72#$20#$22#$26#$53#$63#$68#$6C#$69#$65#$C3+
    #$9F#$65#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72+
    #$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$68#$65#$6C#$70+
    #$0A#$6D#$73#$67#$69#$64#$20#$22#$26#$48#$65#$6C#$70#$22#$0A+
    #$6D#$73#$67#$73#$74#$72#$20#$22#$26#$48#$69#$6C#$66#$65#$22+
    #$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73+
    #$74#$73#$2E#$72#$73#$6D#$62#$69#$67#$6E#$6F#$72#$65#$0A#$6D+
    #$73#$67#$69#$64#$20#$22#$26#$49#$67#$6E#$6F#$72#$65#$22#$0A+
    #$6D#$73#$67#$73#$74#$72#$20#$22#$26#$C3#$9C#$62#$65#$72#$67+
    #$65#$68#$65#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74+
    #$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$6E#$6F#$0A+
    #$6D#$73#$67#$69#$64#$20#$22#$26#$4E#$6F#$22#$0A#$6D#$73#$67+
    #$73#$74#$72#$20#$22#$26#$4E#$65#$69#$6E#$22#$0A#$0A#$23#$3A+
    #$20#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72+
    #$73#$6D#$62#$6E#$6F#$74#$6F#$61#$6C#$6C#$0A#$6D#$73#$67#$69+
    #$64#$20#$22#$4E#$6F#$20#$74#$6F#$20#$61#$6C#$6C#$22#$0A#$6D+
    #$73#$67#$73#$74#$72#$20#$22#$49#$6D#$6D#$65#$72#$20#$4E#$65+
    #$69#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72#$63+
    #$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$6F#$6B#$0A#$6D#$73+
    #$67#$69#$64#$20#$22#$26#$4F#$4B#$22#$0A#$6D#$73#$67#$73#$74+
    #$72#$20#$22#$26#$4F#$6B#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C+
    #$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$6F+
    #$70#$65#$6E#$0A#$6D#$73#$67#$69#$64#$20#$22#$26#$4F#$70#$65+
    #$6E#$22#$0A#$6D#$73#$67#$73#$74#$72#$20#$22#$C3#$96#$66#$66+
    #$6E#$65#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72+
    #$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$72#$65#$74#$72+
    #$79#$0A#$6D#$73#$67#$69#$64#$20#$22#$26#$52#$65#$74#$72#$79+
    #$22#$0A#$6D#$73#$67#$73#$74#$72#$20#$22#$26#$57#$69#$65#$64+
    #$65#$72#$68#$6F#$6C#$65#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63+
    #$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62+
    #$73#$61#$76#$65#$0A#$6D#$73#$67#$69#$64#$20#$22#$26#$53#$61+
    #$76#$65#$22#$0A#$6D#$73#$67#$73#$74#$72#$20#$22#$26#$53#$70+
    #$65#$69#$63#$68#$65#$72#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63+
    #$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62+
    #$75#$6E#$6C#$6F#$63#$6B#$0A#$6D#$73#$67#$69#$64#$20#$22#$26+
    #$55#$6E#$6C#$6F#$63#$6B#$22#$0A#$6D#$73#$67#$73#$74#$72#$20+
    #$22#$46#$72#$65#$69#$67#$65#$62#$65#$6E#$22#$0A#$0A#$23#$3A+
    #$20#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73#$2E#$72+
    #$73#$6D#$62#$79#$65#$73#$0A#$6D#$73#$67#$69#$64#$20#$22#$26+
    #$59#$65#$73#$22#$0A#$6D#$73#$67#$73#$74#$72#$20#$22#$26#$4A+
    #$61#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74#$72#$63#$6F+
    #$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$79#$65#$73#$74#$6F#$61+
    #$6C#$6C#$0A#$6D#$73#$67#$69#$64#$20#$22#$59#$65#$73#$20#$74+
    #$6F#$20#$26#$41#$6C#$6C#$22#$0A#$6D#$73#$67#$73#$74#$72#$20+
    #$22#$26#$41#$6C#$6C#$65#$73#$20#$62#$65#$73#$74#$C3#$A4#$74+
    #$69#$67#$65#$6E#$22#$0A#$0A#$23#$3A#$20#$6C#$63#$6C#$73#$74+
    #$72#$63#$6F#$6E#$73#$74#$73#$2E#$72#$73#$6D#$62#$61#$6C#$6C+
    #$0A#$6D#$73#$67#$69#$64#$20#$22#$26#$41#$6C#$6C#$22#$0A#$6D+
    #$73#$67#$73#$74#$72#$20#$22#$26#$41#$6C#$6C#$65#$22#$0A#$0A+
    #$23#$3A#$20#$6C#$63#$6C#$73#$74#$72#$63#$6F#$6E#$73#$74#$73+
    #$2E#$72#$73#$6D#$62#$61#$62#$6F#$72#$74#$0A#$6D#$73#$67#$69+
    #$64#$20#$22#$41#$62#$6F#$72#$74#$22#$0A#$6D#$73#$67#$73#$74+
    #$72#$20#$22#$41#$62#$62#$72#$75#$63#$68#$22;

procedure LclStrDeInit;
var
  po: TPOFile;
begin
  try
    po:= TPOFile.Create;
    po.ReadPOText(lclsts_btntxt_de);
    TranslateUnitResourceStrings('LCLStrConsts', po)
  finally
    FreeAndNil(po);
  end;
end;

initialization
  LclStrDeInit;

end.

